Subject: Re:. Tal.king t.o you

From: "Marina" <[email-masked]>
Date: Wed, 11 Apr 2007 06:22:36 +0300

Hire,
i am here sitting in the internet caffe. Found your email and
decided to write. I !might be coming to y!our place in 14 days, 
so I decided to email you. May abe we! can meet? I am 25 y.o.a
girl. I have a picture if you want. No need to reply here as 
this is not my email. Write me at [email-masked]